Webhooks
Update webhook endpoint
PATCH
Requires scope webhooks:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
projectId?unknownThe project whose endpoints to manage.
application/json- body
events?array<>Items
1 <= itemsstatus?stringDisable to stop delivery without losing the signing secret.
Value in
"active""disabled"Response Body
200application/json
The updated webhook endpoint
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X PATCH 'https://api.pilot.shiga.io/v1/webhook-endpoints/{id}' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "https://example.com/webhooks", "events": [ "string" ], "status": "active", "lastDeliveryAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" }, "status": 200, "success": true}